# eth\_newBlockFilter

Creates a filter in the node, to notify when a new block arrives. To check if the state has changed, call [eth\_getFilterChanges](https://app.gitbook.com/o/cJtxpQ7oeewtoIgMb5kv/s/F3uvE671dWWOTAu9svnI/~/changes/130/hedera/json-rpc-relay-api/eth_getfilterchanges).

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_newblockfilter)

## **Parameters**

`None`

## Returns

`QUANTITY` - A filter id.

```json
// Result
{
  "id":1,
  "jsonrpc":  "2.0",
  "result": "0x1" // 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.hedera.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_newBlockFilter","params":[],"id":73}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.hedera.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_newBlockFilter","params":[],"id":73}'

```

{% endtab %}
{% endtabs %}
